openSUSE Security Update : freeradius-server (openSUSE-2017-1192)

High Nessus Plugin ID 104164

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for freeradius-server fixes the following issues :

Fix a number of security issues found via fuzzing by Guido Vranken See http://freeradius.org/security/fuzzer-2017.html for details.
(boo#1049086)

- CVE-2017-10987 / FR-GV-304: DHCP - Buffer over-read in fr_dhcp_decode_suboptions()

- CVE-2017-10986 / FR-GV-303: DHCP - Infinite read in dhcp_attr2vp()

- FR-AD-001: Use strncmp() instead of memcmp() for string data

- CVE-2017-10983 / FR-GV-206: DHCP - Read overflow when decoding option 63

- CVE-2017-10985 / FR-GV-302: Infinite loop and memory exhaustion with 'concat' attributes

- CVE-2017-10984 / FR-GV-301: Write overflow in data2vp_wimax()

- FR-AD-002: String lifetime issues in rlm_python

- FR-GV-305: Decode 'signed' attributes correctly

- CVE-2017-10978 / FR-GV-201: Read / write overflow in make_secret()

Solution

Update the affected freeradius-server packages.

See Also

http://freeradius.org/security/fuzzer-2017.html

https://bugzilla.opensuse.org/show_bug.cgi?id=1049086

Plugin Details

Severity: High

ID: 104164

File Name: openSUSE-2017-1192.nasl

Version: Revision: 3.2

Type: local

Agent: unix

Published: 2017/10/26

Updated: 2018/01/26

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:freeradius-server, p-cpe:/a:novell:opensuse:freeradius-server-debuginfo, p-cpe:/a:novell:opensuse:freeradius-server-debugsource, p-cpe:/a:novell:opensuse:freeradius-server-devel, p-cpe:/a:novell:opensuse:freeradius-server-krb5, p-cpe:/a:novell:opensuse:freeradius-server-krb5-debuginfo, p-cpe:/a:novell:opensuse:freeradius-server-ldap, p-cpe:/a:novell:opensuse:freeradius-server-ldap-debuginfo, p-cpe:/a:novell:opensuse:freeradius-server-libs, p-cpe:/a:novell:opensuse:freeradius-server-libs-debuginfo, p-cpe:/a:novell:opensuse:freeradius-server-mysql, p-cpe:/a:novell:opensuse:freeradius-server-mysql-debuginfo, p-cpe:/a:novell:opensuse:freeradius-server-perl, p-cpe:/a:novell:opensuse:freeradius-server-perl-debuginfo, p-cpe:/a:novell:opensuse:freeradius-server-postgresql, p-cpe:/a:novell:opensuse:freeradius-server-postgresql-debuginfo, p-cpe:/a:novell:opensuse:freeradius-server-python, p-cpe:/a:novell:opensuse:freeradius-server-python-debuginfo, p-cpe:/a:novell:opensuse:freeradius-server-sqlite, p-cpe:/a:novell:opensuse:freeradius-server-sqlite-debuginfo, p-cpe:/a:novell:opensuse:freeradius-server-utils, p-cpe:/a:novell:opensuse:freeradius-server-utils-debuginfo, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/10/25

Reference Information

CVE: CVE-2017-10978, CVE-2017-10983, CVE-2017-10984, CVE-2017-10985, CVE-2017-10986, CVE-2017-10987